/{organizationId}/finance/receipts/templates/{templateId}Get receipt template
Returns a specific receipt template with all of its details for a given organization
Required permissions:
receiptTemplate.read
Path Parameters
organizationIdstringrequired templateIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/finance/receipts/templates/{templateId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
typestringrequired Options:
invoiceinvoiceMembershipFeeinvoiceBookingdepositdonationofferconfirmationreminderdonationReminderreturnedPaymentnamestringrequired minLength: 1
maxLength: 64
descriptionstringrequired maxLength: 240
standardbooleanrequired subjectstringrequired minLength: 1
maxLength: 998
messagestringrequired minLength: 1
maxLength: 10000
createdAtdate-time | nulloptional refundMessagestring | nullrequired minLength: 1
maxLength: 10000
refundSubjectstring | nullrequired minLength: 1
maxLength: 998
cancelMessagestring | nullrequired minLength: 1
maxLength: 10000
cancelSubjectstring | nullrequired minLength: 1
maxLength: 998
Response
{
"_id": "000000000000000000000001",
"type": "invoice",
"name": "string",
"description": "string",
"standard": true,
"subject": "string",
"message": "string",
"refundMessage": "string",
"refundSubject": "string",
"cancelMessage": "string",
"cancelSubject": "string"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}